Update user detailsAsk AIget https://www.spot.im/api/sso/v1/update-userUpdates the OpenWeb user data of an existing SSO userQuery Paramsprimary_keystringrequiredUnique user ID generated by a Partner’s backend user management systemuser_namestringrequiredUnique personal identifier used to differentiate between different users A username has the following characteristics: Is greater than 3 characters, but less than 30 characters Can be comprised of foreign-language characters Cannot be comprised of delimiters, such as spaces, tabs, and other ASCII delimiters (/t, /r, and /n) Cannot be comprised of special characters, such as < and > Is preceded by the @ symbol when displayed If a username is already taken, OpenWeb appends random letters or numbers to generate a unique version of that username and registers it to the user. If a username is not provided, OpenWeb creates a username from the display_name, appends random letters or numbers to generate a unique version of that username, and registers it to the user. If neither a username nor a display name is provided, the handshake will fail.display_namestringNon-unique personal identifier used prominently throughout the platform A display name has the following characteristics: Cannot exceed 30 characters Is comprised of a combination of letters, numbers, special characters, or spaces When not provided, OpenWeb creates a display name from the user_name.emailstringEmail of the useremail_verifiedbooleanIndicates that the email of the user has been verified by the user Possible Values: false (default) true OpenWeb only sends email notifications to verified email addresses.truefalseimage_urlstringURL of the profile image of the user This image is the avatar used for all comments created by the user. If the image_url is not set, OpenWeb selects a random avatar from the avatar scheme for the user. To delete a set user image, send an empty string for this parameter.locationstringLocation of the userprivate_profilebooleanIndicates whether the user's commenting history and profile can be viewed by others Possible Values: false (default) true truefalseuser_metadatastringIndicates if the user is a subscriber or not and enables the segmentation of data by subscribers and non-subscribers If a user's subscriber status changes, you must log out the user and complete a new SSO flow. This ensures that a user's previous cached client state for user_metadata.is_subscriber is not used. Possible Values (values must be Base64-encoded): { "is_subscriber": true } When this value is passed for a user, you can also show a customized subscriber badge next to the user's name in the Conversation. Please contact Support to enable and customize the subscriber badge. { "is_subscriber": false }Body ParamsbiostringUser bio When configuring a user bio, the bio cannot exceed 200 characters. This property can be passed with or without the role or settings object.rolestringenumPermission level of the user Possible values admin: Access to all sections of the system community-moderator: Ability to moderate comments within a Conversation, but no Admin Panel access journalist: Ability to select top comments, but no Admin Panel access moderator: Access only to the moderation section registered: Regular user with no assigned role (This is the default permission that is set when no role is specified.) viewer: View-only access to the moderation section This property can be passed with or without the bio or settings object.admincommunity-moderatorjournalistmoderatorregisteredviewerAllowed:admincommunity-moderatorjournalistmoderatorregisteredviewersettingsobjectEmail and in-app notification settingssettings objectHeadersx-spotim-sso-access-tokenstringrequiredSecret access token provide by OpenWebResponse 200Updated 5 months ago